﻿using System;
using System.IO;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Navigation;
using System.Windows.Input;
using System.ComponentModel;
using JIGSAWApplication;

using SimulationEngine;

namespace JIGSAWApplication
{
    public partial class MyToolBarTrayControl
    {
        private SimulationEngine.SimulationController _simuController;

        private ToolBar _testToolbar = null;

        public MyToolBarTrayControl()
        {   
            this.InitializeComponent();

            _testToolbar = this.myIconsToolBar;
        }

        public void SetSimuController(SimulationController simuController)
        {
            _simuController = simuController;
            _simuController.SimulationStateChanged += new SimulationController.SimulationStateChangedHandler(_simuController_SimulationStateChanged);
        }

        void _simuController_SimulationStateChanged(object sender, bool started)
        {
            if(started)
            {
                this.btStartTesting.Content = "Stop Testing";
            }
            else
            {
                this.btStartTesting.Content = "Start Testing";
            }
        }

        public void SetTestToolbar()
        {
            /*
            this.RemoveLogicalChild(this._testToolbar);
            this.RemoveLogicalChild(this._processToolbar);

            this.AddChild(this._testToolbar);
            */
        }

        public void SetProcessViewToolbar()
        {
            /*
            this.RemoveLogicalChild(this._testToolbar);
            this.RemoveLogicalChild(this._processToolbar);

            this.AddChild(this._processToolbar);
            */
        }
    }
}