using System;
using System.Collections.Generic;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace ProcessScreenRepository
{
    /// <summary>
    /// Interaction logic for SimulationPane.xaml
    /// </summary>

    public partial class SimulationPane:System.Windows.Controls.UserControl
    {
        private UIElement initialScreen = null;
        private bool _showDataDependency = false;
        public SimulationPane()
        {
            InitializeComponent();
            initialScreen = this.ScreenBox.Child;

            //this.ToggleDataDependency();
        }

        public void SetScreen(FrameworkElement newScreen)
        {
            this.ScreenBox.Child = newScreen;
        }

        public void ResetScreen()
        {
            this.ScreenBox.Child = initialScreen;
        }

        public void ToggleDataDependency()
        {
	    /*
            if(this._showDataDependency)
            {
                this.dpLeft.Visibility = Visibility.Hidden;
                this.dpRight.Visibility = Visibility.Hidden;
                this._showDataDependency = false;
            }
            else
            {
                this.dpLeft.Visibility = Visibility.Visible;
                this.dpRight.Visibility = Visibility.Visible;
                this._showDataDependency = true;
            }
	    */
        }
    }
}