using System;
using ILOG.Diagrammer;
using ILOG.Diagrammer.Graphic;

namespace ProcessView
{
    public partial class UserInterfaceWorkflowSymbol : UserSymbol
    {
        private bool _isEditing = false;
        public UserInterfaceWorkflowSymbol()
        {
            InitializeComponent();	// required by the designer
        }


        private void UIRect_TextChanged(object sender, EventArgs e)
        {
            if (!_isEditing)
            {
                this.UIRectHeader.Text = this.Text;
                this._isEditing = true;
                this.Text = "";
            }
            else
            {
                this._isEditing = false;
            }

        } 
        
    }
}
