using System;
using ILOG.Diagrammer;
using ILOG.Diagrammer.Graphic;

namespace ProcessView
{
    public partial class WorkflowDiagram : Group
    {
        public WorkflowDiagram()
        {
            InitializeComponent();	// required by the designer
        }

        public void Delete(GraphicObject[] graphicObjects)
        {
            if((graphicObjects != null) && (graphicObjects.Length > 0))
            {
                this.RemoveChildren(graphicObjects);
            }
        }

        public void ShowErrors()
        {
            //this.ErrorLink.Visibility = Visibility.Visible;
            this.ErrorMessage.Visibility = Visibility.Visible;
            //this.ErrorService.Visibility = Visibility.Visible;
        }

        public void HideErrors()
        {
            //this.ErrorLink.Visibility = Visibility.Hidden;
            this.ErrorMessage.Visibility = Visibility.Hidden;
            //this.ErrorService.Visibility = Visibility.Hidden;
        }



       

      
    }
}
