using System;
using System.Collections.Generic;
using System.Text;

namespace SimulationEngine
{
    public class ActionDef
    {
        public ActionDef()
        {
            SimulationDefinition.Instance.Register(this);
        }

        public ActionDef(string actionId, string nextScreenId):
            this()
        {
            ActionId = actionId;
            NextScreenId = nextScreenId;
        }

        private string _actionId;
        public string ActionId
        {
            get
            {
                return _actionId;
            }
            set
            {
                _actionId = value;
            }
        }

        private string _nextScreenId;
        public string NextScreenId
        {
            get
            {
                return _nextScreenId;
            }
            set
            {
                _nextScreenId = value;
            }
        }
    }

    
}
