﻿using System;
using System.IO;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Navigation;
using System.Windows.Controls.Primitives;

namespace SAP_Toolbar
{
	public partial class toolbarToggleButtons
	{
		public toolbarToggleButtons()
		{
			this.InitializeComponent();

            this.tbtAddConnection.Click += new RoutedEventHandler(tbtAddConnection_Click);
            this.tbtAddTask.Click += new RoutedEventHandler(tbtAddTask_Click);
            this.tbtPan.Click += new RoutedEventHandler(tbtPan_Click);
            this.tbtZoomIn.Click += new RoutedEventHandler(tbtZoomIn_Click);
            this.tbtZoomOut.Click += new RoutedEventHandler(tbtZoomOut_Click);
            this.tbtAddConnection.IsThreeState = false;
            this.tbtAddTask.IsThreeState = false;
            this.tbtPan.IsThreeState = false;
            this.tbtZoomIn.IsThreeState = false;
            this.tbtZoomOut.IsThreeState = false;
		}

        void tbtZoomOut_Click(object sender, RoutedEventArgs e)
        {
            //if((bool)this.tbtzoomout.ischecked) this.tbtzoomout.ischecked = false;
            //else this.tbtzoomout.ischecked = true;

            this.tbtZoomIn.IsChecked = false;
            this.tbtPan.IsChecked = false;
            this.tbtAddConnection.IsChecked = false;
            this.tbtAddTask.IsChecked = false;
        }

        void tbtZoomIn_Click(object sender, RoutedEventArgs e)
        {
            this.tbtZoomOut.IsChecked = false;

            //if((bool)this.tbtZoomIn.IsChecked) this.tbtZoomIn.IsChecked = false;
            //else this.tbtZoomIn.IsChecked = true;

            this.tbtPan.IsChecked = false;
            this.tbtAddConnection.IsChecked = false;
            this.tbtAddTask.IsChecked = false;
        }

        void tbtPan_Click(object sender, RoutedEventArgs e)
        {
            this.tbtZoomOut.IsChecked = false;
            this.tbtZoomIn.IsChecked = false;

            //if((bool)this.tbtPan.IsChecked) this.tbtPan.IsChecked = false;
            //else this.tbtPan.IsChecked = true;
            
            this.tbtAddConnection.IsChecked = false;
            this.tbtAddTask.IsChecked = false;
        }

        void tbtAddTask_Click(object sender, RoutedEventArgs e)
        {
            this.tbtZoomOut.IsChecked = false;
            this.tbtZoomIn.IsChecked = false;
            this.tbtPan.IsChecked = false;
            this.tbtAddConnection.IsChecked = false;

            //if((bool)this.tbtAddTask.IsChecked) this.tbtAddTask.IsChecked = false;
            //else this.tbtAddTask.IsChecked = true;
        }

        void tbtAddConnection_Click(object sender, RoutedEventArgs e)
        {
            this.tbtZoomOut.IsChecked = false;
            this.tbtZoomIn.IsChecked = false;
            this.tbtPan.IsChecked = false;

            //if((bool)this.tbtAddConnection.IsChecked) this.tbtAddConnection.IsChecked = false;
            //else this.tbtAddConnection.IsChecked = true;

            this.tbtAddTask.IsChecked = false;
        }
	}
}