using System;
using System.Collections.Generic;
using System.Collections;
using System.Text;

namespace SimulationEngine
{
    public class ScreenDef
    {
        public ArrayList Actions = new ArrayList();

        private bool _selected = false;
        public bool Selected
        {
            get
            {
                return _selected;
            }
            set
            {
                _selected = value;
            }
        }

        public ScreenDef()
        {
            SimulationDefinition.Instance.Register(this);
        }

        public ScreenDef(string screenId):
            this()
        {
            ScreenId = screenId;
        }

        private string _screenId;
        public string ScreenId
        {
            get
            {
                return _screenId;
            }
            set
            {
                _screenId = value;
            }
        }

    }
}
